\name{getMinPvalues}
\alias{getMinPvalues}
\title{
Minimum p-value computation with randomly generated phenotypes
}
\description{
Generates the random phenotypes from given kinship matrix and computes the genome-wide minimum emma p-values vi emma t-test from given snp and kinship matrix.
}
\usage{
getMinPvalues(snps, nNullSimulation = 50, kin)
}
\arguments{
  \item{snps}{
A m by n matrix, where m is number of indicator variables (or snps), 
and n is the number of strains
}
  \item{nNullSimulation}{
A number representing the number of randomly generated phenotypes
}
  \item{kin}{
A n by n matrix of kinship coefficients, representing the
    pairwise genetic relatedness between strains
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A length n vector containing genome-wide mininum p-values,
where n is the number of null simulations

}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Eun Yong Kang \email{ekang@cs.ucla.edu}
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
  \dontrun{
    ## Load data
    data(powerSimDat)

    ## Run getMinPvalues
    minPs <- getMinPvalues(powerSimDat$snps, 50, powerSimDat$kin)

  }


}

